#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	raptor2
Version		:	2.0.16
Release		:	16.2.0.rel%{?dist}
Summary		:	RDF Parser Toolkit for Redland
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	http://download.librdf.org/source

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	curl
BuildRequires	:	gtk-doc
BuildRequires	:	libxml2-devel
BuildRequires	:	libxslt
#-----------------------------------------------------------------------------
%description
'%{name}' is the RDF Parser Toolkit for Redland that provides
a set of standalone RDF parsers, generating triples from RDF/XML
or N-Triples.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS NEWS README
%{_bindir}/rapper
%{_libdir}/lib%{name}.so.0*
%{_mandir}/man1/rapper.1.gz

#=============================================================================
%package		devel
Summary		:	Development files for %{name} 

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
Developpement files for the RDF Parser Toolkit.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/*.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/gtk-doc/html/%{name}/*.{html,png,sgml}
%{_datadir}/gtk-doc/html/%{name}/%{name}.devhelp2
%{_datadir}/gtk-doc/html/%{name}/style.css
%{_mandir}/man3/lib%{name}.3.gz

#=============================================================================
%prep
%setup -q

#new struct _xmlEntity field checkd -> become flags
sed -i							\
 -e"s/ret->checked/ret->flags/"				\
 src/raptor_libxml.c

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}/%{name}		\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}		\
	--disable-static				\
	--enable-release				\
	--with-icu-config=/usr/bin/icu-config		\
	--with-yajl=yes					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install
	

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
